Bug 971402 - [abrt] valkyrie-2.0.0-5.fc18: testAttribute: Process /usr/bin/valkyrie was killed by signal 11 (SIGSEGV)
[abrt] valkyrie-2.0.0-5.fc18: testAttribute: Process /usr/bin/valkyrie was ki...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: valkyrie (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
abrt_hash:4c2289253e7b7332b81e18ae94b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-06 08:45 EDT by Lubo
Modified: 2013-06-20 22:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-20 22:07:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (632.57 KB, text/plain)
2013-06-06 08:45 EDT, Lubo
no flags Details
File: cgroup (128 bytes, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: core_backtrace (155.01 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: dso_list (11.28 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: environ (3.94 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: maps (71.12 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: open_fds (1.51 KB, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details
File: var_log_messages (398 bytes, text/plain)
2013-06-06 08:46 EDT, Lubo
no flags Details

  None (edit)
Description Lubo 2013-06-06 08:45:50 EDT
Version-Release number of selected component:
valkyrie-2.0.0-5.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        valkyrie
crash_function: testAttribute
executable:     /usr/bin/valkyrie
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 testAttribute at ../../src/gui/kernel/qwidget.h:1042
 #1 QWidget::setAttribute at kernel/qwidget.cpp:10726
 #2 QWidgetPrivate::createWinId at kernel/qwidget.cpp:2557
 #3 QWidget::create at kernel/qwidget.cpp:1465
 #4 QWidgetPrivate::createWinId at kernel/qwidget.cpp:2569
 #5 QWidget::create at kernel/qwidget.cpp:1465
 #6 QWidgetPrivate::createWinId at kernel/qwidget.cpp:2569
 #7 QWidget::create at kernel/qwidget.cpp:1465
 #8 QWidgetPrivate::createWinId at kernel/qwidget.cpp:2569
 #9 QWidget::create at kernel/qwidget.cpp:1465
Comment 1 Lubo 2013-06-06 08:45:58 EDT
Created attachment 757664 [details]
File: backtrace
Comment 2 Lubo 2013-06-06 08:46:01 EDT
Created attachment 757665 [details]
File: cgroup
Comment 3 Lubo 2013-06-06 08:46:05 EDT
Created attachment 757666 [details]
File: core_backtrace
Comment 4 Lubo 2013-06-06 08:46:09 EDT
Created attachment 757667 [details]
File: dso_list
Comment 5 Lubo 2013-06-06 08:46:12 EDT
Created attachment 757668 [details]
File: environ
Comment 6 Lubo 2013-06-06 08:46:15 EDT
Created attachment 757669 [details]
File: limits
Comment 7 Lubo 2013-06-06 08:46:19 EDT
Created attachment 757670 [details]
File: maps
Comment 8 Lubo 2013-06-06 08:46:22 EDT
Created attachment 757671 [details]
File: open_fds
Comment 9 Lubo 2013-06-06 08:46:26 EDT
Created attachment 757672 [details]
File: proc_pid_status
Comment 10 Lubo 2013-06-06 08:46:29 EDT
Created attachment 757673 [details]
File: var_log_messages
Comment 11 Nathan Scott 2013-06-06 17:38:08 EDT
Hi Lubo!

Thanks for the report.  The stack traces are unclear as to how to reach this point in the code (they appear incomplete, possibly something is recursing) - is this problem reproducible for you?  If so, can you describe the sequence of steps you take to hit this problem?  (or is it on startup?)

cheers.
Comment 12 Lubo 2013-06-07 04:52:54 EDT
Hi Nathan,
unfortunately - I can't reproduce. I installed this after very long time this  again, started it and clicking into menus - without project, logs etc. I was only looking if something change here <what's new)...
Br.
L.
Comment 13 Nathan Scott 2013-06-20 22:07:57 EDT
Despite several attempts, I too cannot reproduce the problem.  Updating bugzilla to reflect that - appreciate the report though Lubo, thanks.  If we can find a reproducible test case I'll certainly take another look.

cheers.

Note You need to log in before you can comment on or make changes to this bug.